Watch, Follow, &
Connect with Us
Public Report
Report From: Delphi-BCB/Linker    [ Add a report in this area ]  
Report #:  85082   Status: Closed
Linker fatal error on Windows 7
Project:  C++Builder Build #:  11.0.2902.10471
Version:    11.2 Submitted By:   Sanjay Kanade
Report Type:  Crash / Data loss / Total failure Date Reported:  6/2/2010 8:14:12 PM
Severity:    Critical / Show Stopper Last Updated: 8/20/2012 3:44:46 AM
Platform:    All platforms Internal Tracking #:  
Resolution: Cannot Reproduce (Resolution Comments) Resolved in Build: : 2010
Duplicate of:  None
Voting and Rating
Overall Rating: No Ratings Yet
0.00 out of 5
Total Votes: None
Description
I can't use C++ Builder part of Rad Studio 2007 on Windows 7, 64-bit. The linker always terminates with

[Linker fatal error] Access Violation. Link Terminated.

I DO NOT WANT TO upgrade to 2009/2010 versions of Rad Studio because their unicode requirement might break my application.

Please give me a FIX for the linker. I already applied the Linker June 08 FIX mentioned in downloads for the linker but it doesn't work.
Steps to Reproduce:
Install Rad Studio 2007 on Windows 7.

Compile any C++ Builder project. It fails with the above error.
Workarounds
None
Attachment
None
Comments

Tomohiro Takahashi at 6/3/2010 5:36:33 PM -
> Install Rad Studio 2007 on Windows 7.
As you know, IDE of RAD Studio 2007 does NOT support Windows 7.
So, does your issue occur on only Windows 7(64bit)? How about other OSs?

Sanjay Kanade at 6/22/2010 11:12:34 PM -
I moved it to an XP machine. It is occurring there too. Now I'm lost.

Tomohiro Takahashi at 6/24/2010 12:00:24 AM -
Could you please attach sample project to reproduce your issue?

Sanjay Kanade at 6/23/2010 12:26:31 AM -
I see that you have a newer ilink32 version 6 for RS 2010. That would fix the problem. Why don't you release it for us poor folks stuck with Rad Studio 2007 who must continue using non-unicode projects with that version? After all, we are using Windows 7 even though our projects are non-unicode. We must continue using Rad Studio 2007. It is unfair for Embarcadero to stop supporting the last non-unicode version, especially when the problem is as simple as releasing the latest ilink32 version to fix the problem.

Server Response from: ETNACODE01